package io.scanbot.sdk.flutter.utils

import com.google.gson.JsonObject
import io.scanbot.sap.SdkLicenseInfo
import java.text.SimpleDateFormat
import java.util.Locale
import java.util.TimeZone

fun SdkLicenseInfo.getLicenseStatusJson(): JsonObject {
    val json = JsonObject()
    json.addProperty("isLicenseValid", isValid)
    json.addProperty("status", status.name)
    val time = expirationDate?.time
    time?.let { date ->
        val sdf: SimpleDateFormat = SimpleDateFormat(
            "yyyy-MM-dd'T'HH:mm:ss.SSS",
            Locale.ENGLISH
        )
        sdf.timeZone = TimeZone.getTimeZone("UTC")
        json.addProperty("expirationDate", sdf.format(date))
    }
    val message = licenseStatusMessage
    json.addProperty("message", message)
    return json
}
    
