package io.scanbot.sdk.flutter.utils

import android.content.Context
import android.view.View
import android.widget.FrameLayout
import androidx.lifecycle.LifecycleOwner
import androidx.lifecycle.runtime.R

class LifecycleOwnerWrapper<T : View>(
    context: Context,
    val view: T,
    private val customLifecycle: LifecycleOwner
) : FrameLayout(context) {

    init {
        addView(view, LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT))
    }
    override fun getTag(key: Int): Any {
        if(key == R.id.view_tree_lifecycle_owner ) return customLifecycle
        return super.getTag(key)
    }
}