//
//  SEPA.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
#if canImport(ScanbotSDK)
import ScanbotSDK
#else
import ScanbotBarcodeScannerSDK
#endif

extension SBSDKSEPADocumentField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value]
    }
}

extension SBSDKSEPADocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary}),
                "documentFormat": "SEPA"]
    }
}
